// Copyright 2002-2003.  Adobe Systems, Incorporated.  All rights reserved.
// This script demonstrates how to apply a style to a layer.


var strtRulerUnits = app.preferences.rulerUnits;
if (strtRulerUnits != Units.PIXELS)
{
  app.preferences.rulerUnits = Units.PIXELS;
}

if (app.documents.length == 0)
{
  var docRef = app.documents.add(320, 240, 72, null, NewDocumentMode.RGB, DocumentFill.WHITE);
}
else
{
  var docRef = app.activeDocument;
}

// Make sure the activeLayer is isn't a Background layer so we can apply a
// style to it
docRef.activeLayer.isBackgroundLayer = false;
docRef.artLayers[0].applyStyle("Puzzle (Image)");
docRef = null;

if (strtRulerUnits != Units.PIXELS)
{
  app.preferences.rulerUnits = strtRulerUnits;
}


