// Copyright 2002-2003.  Adobe Systems, Incorporated.  All rights reserved.
// This scripts demonstrates how to link two layers.

if (!app.documents.length > 0) {    // open sample file if no document is opened.
    var strtRulerUnits = app.preferences.rulerUnits;
    app.preferences.rulerUnits = Units.PIXELS;
    var docRef = app.documents.add(320, 240, 72, null, NewDocumentMode.RGB, DocumentFill.WHITE);
    app.preferences.rulerUnits = strtRulerUnits;
}

var docRef = app.activeDocument;
var layerRef1 = docRef.artLayers.add();
var layerRef2 = docRef.artLayers.add();
layerRef1.link(layerRef2);
docRef = null;
layerRef1 = null;
layerRef2 = null;

