VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1395
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3885
   LinkTopic       =   "Form1"
   ScaleHeight     =   1395
   ScaleWidth      =   3885
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "Create and Execute Action"
      Height          =   375
      Left            =   600
      TabIndex        =   0
      Top             =   480
      Width           =   2655
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Copyright 2002-2003.  Adobe Systems, Incorporated.  All rights reserved.
' This script creates an action, which is equivalent to the Mosaic Tiles action
' and executes it.

Private Sub Command1_Click()

Dim appRef As Photoshop.Application
Dim filterDescriptor As Photoshop.ActionDescriptor
Dim retDescriptor As Photoshop.ActionDescriptor
Dim keyTileSizeID As Long
Dim keyGroutWidthID As Long
Dim keyLightenGroutID As Long
Dim eventMosaicID As Long

Dim adesc As Photoshop.ActionDescriptor
Dim actionRef As Photoshop.ActionReference
   

Set appRef = CreateObject("Photoshop.Application")

If appRef.Documents.Count <= 0 Then
    FileName = appRef.Path & "\Samples\Dune.tif"
    appRef.Open (FileName)
End If

    ' create an action and execute it.
    keyTileSizeID = appRef.CharIDToTypeID("TlSz")
    keyGroutWidthID = appRef.CharIDToTypeID("GrtW")
    keyLightenGroutID = appRef.CharIDToTypeID("LghG")
    eventMosaicID = appRef.CharIDToTypeID("MscT")
    
    Set filterDescriptor = CreateObject("Photoshop.ActionDescriptor")
    filterDescriptor.PutInteger Key:=keyTileSizeID, Value:=12
    filterDescriptor.PutInteger Key:=keyGroutWidthID, Value:=3
    filterDescriptor.PutInteger Key:=keyLightenGroutID, Value:=9
    
    Set retDescriptor = appRef.ExecuteAction(EventID:=eventMosaicID, Descriptor:=filterDescriptor, DisplayDialogs:=psDisplayNoDialogs)
    

End Sub

