// Copyright 2002-2003.  Adobe Systems, Incorporated.  All rights reserved.
// This scripts demonstrates how to rotate a layer 45 degrees clockwise.

if (app.documents.length > 0)
{
    if (app.activeDocument.activeLayer.isBackgroundLayer == false)
    {
        docRef = app.activeDocument;
        layerRef = docRef.layers[0];
        layerRef.rotate(45.0);  
    }
    else
    {
        alert("Operation cannot be performed on background layer");
    }
}
else
{
    alert("You must have at least one open document to run this script!");
}