VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1635
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3930
   LinkTopic       =   "Form1"
   ScaleHeight     =   1635
   ScaleWidth      =   3930
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "Save As PDF, JPG, and PS"
      Height          =   495
      Left            =   720
      TabIndex        =   0
      Top             =   600
      Width           =   2415
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()

' Copyright 2002-2003.  Adobe Systems, Incorporated.  All rights reserved.
' Save a copy of the doc as PDF and JPEG and then save as a Photoshop file with options.

Dim appRef As Photoshop.Application
Dim docRef As Photoshop.Document
Dim numDocs As Long
Dim extType As Photoshop.PsExtensionType

Set appRef = New Photoshop.Application
numDocs = appRef.Documents.Count
extType = psUppercase

If appRef.Documents.Count > 0 Then
    Set docRef = appRef.ActiveDocument
Else ' open sample file
    FileName = appRef.Path & "\Samples\Dune.tif"
    Set docRef = appRef.Open(FileName)
End If
    
    ' save the doc as PDF
    Dim pdfSaveOptions As Photoshop.pdfSaveOptions
    Set pdfSaveOptions = New Photoshop.pdfSaveOptions
    pdfSaveOptions.AlphaChannels = True
    pdfSaveOptions.Annotations = True
    pdfSaveOptions.EmbedColorProfile = True
    pdfSaveOptions.EmbedFonts = True
    pdfSaveOptions.Encoding = psPDFJPEG
    pdfSaveOptions.Interpolation = False
    pdfSaveOptions.JPEGQuality = 7
    pdfSaveOptions.Layers = True
    pdfSaveOptions.SpotColors = True
    pdfSaveOptions.Transparency = False
    pdfSaveOptions.UseOutlines = False
    pdfSaveOptions.VectorData = True
    docRef.SaveAs "c:\temp\myFile", Options:=pdfSaveOptions, asCopy:=True, extensionType:=extType
    
    ' now save as JPEG
    Dim jpgSaveOptions As Photoshop.JPEGSaveOptions
    Set jpgSaveOptions = New Photoshop.JPEGSaveOptions
    jpgSaveOptions.EmbedColorProfile = True
    jpgSaveOptions.FormatOptions = psStandardBaseline
    jpgSaveOptions.Matte = psNoMatte
    jpgSaveOptions.Quality = 1
    docRef.SaveAs "c:\temp\myFile", Options:=jpgSaveOptions, asCopy:=True, extensionType:=extType
    
    ' now save as photoshop with extra options.
    Dim psSaveOptions As Photoshop.PhotoshopSaveOptions
    Set psSaveOptions = New Photoshop.PhotoshopSaveOptions
    psSaveOptions.AlphaChannels = True
    psSaveOptions.Annotations = True
    psSaveOptions.Layers = True
    psSaveOptions.SpotColors = True
    docRef.SaveAs "c:\temp\myFile", Options:=psSaveOptions, asCopy:=False, extensionType:=extType


End Sub

