VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1515
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3960
   LinkTopic       =   "Form1"
   ScaleHeight     =   1515
   ScaleWidth      =   3960
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "Find Text Art Center"
      Height          =   495
      Left            =   720
      TabIndex        =   0
      Top             =   480
      Width           =   2775
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()
' Copyright 2002-2003.  Adobe Systems, Incorporated.  All rights reserved.
' Calculate the geometric center of each text item of a document

    Dim appRef As New Photoshop.Application
    Dim selectedObjects As Variant
    Dim objectBounds As Variant
    Dim objectCenter As Variant
    Dim textItemRef As Photoshop.TextItem
    Dim theTextType As Photoshop.PsTextType
    Dim artLayerRef As Photoshop.ArtLayer
    
    theTextType = psParagraphText
    If appRef.Documents.Count > 0 Then
        Set docRef = appRef.ActiveDocument
    Else ' open new document with text
        Dim layerKind As Photoshop.PsLayerKind
        Dim textColor As Photoshop.SolidColor
        
        Dim strtRulerUnits As PsUnits
        Dim strtTypeUnits As PsTypeUnits
        strtRulerUnits = appRef.Preferences.RulerUnits
        appRef.Preferences.RulerUnits = psInches
        strtTypeUnits = appRef.Preferences.TypeUnits
        appRef.Preferences.TypeUnits = psTypePoints

        Set textColor = New Photoshop.SolidColor
        textColor.RGB.Red = 255
        textColor.RGB.Green = 0
        textColor.RGB.Blue = 0

        'Create a new document and assign it to a variable.
        Set docRef = appRef.Documents.Add(7, 5)

        'Create a new art layer, set it to a text layer.
        Set artLayerRef = docRef.ArtLayers.Add

        layerKind = psTextLayer
        artLayerRef.Kind = layerKind

        'Set the contents and other properties of the text layer.
        Set textItemRef = artLayerRef.TextItem
        textItemRef.Contents = "Hello, World!"
        textItemRef.Position = Array(0.75, 0.75)
        textItemRef.Size = 36
        textItemRef.Font = "Georgia"
        textItemRef.Color = textColor

        appRef.Preferences.RulerUnits = strtRulerUnits
        appRef.Preferences.TypeUnits = strtTypeUnits
 
    End If
    For Each artLayerRef In docRef.ArtLayers
       If (artLayerRef.Kind = psTextLayer) Then
                docRef.ActiveLayer = artLayerRef
                
                ' must set the text kind to paragraph because you can only get the bounds of paragraph text.
                artLayerRef.TextItem.Kind = theTextType
                objectBounds = Array(artLayerRef.TextItem.Position(0), artLayerRef.TextItem.Position(1), artLayerRef.TextItem.Width, artLayerRef.TextItem.Height)
                objectCenter = GetItemCenter(objectBounds)
                MsgBox ("Center of Text Item  x: " & objectCenter(0) & ",  y :" & objectCenter(1))
        End If
    Next
End Sub
' The following lines define the function
Function GetItemCenter(sourceBounds As Variant) As Variant
    Dim left As Single
    Dim top As Single
    Dim right As Single
    Dim bottom As Single
    Dim xCenter As Single
    Dim yCenter As Single
    left = sourceBounds(0)
    top = sourceBounds(1)
    right = sourceBounds(2)
    bottom = sourceBounds(3)
    xCenter = (left + right) / 2
    yCenter = (top + bottom) / 2
    GetItemCenter = Array(xCenter, yCenter)
End Function
